Adoptable Cookbooks List

Looking for a cookbook to adopt? You can now see a list of cookbooks available for adoption!
List of Adoptable Cookbooks

Supermarket Belongs to the Community

Supermarket belongs to the community. While Chef has the responsibility to keep it running and be stewards of its functionality, what it does and how it works is driven by the community. The chef/supermarket repository will continue to be where development of the Supermarket application takes place. Come be part of shaping the direction of Supermarket by opening issues and pull requests or by joining us on the Chef Mailing List.

Select Badges

Select Supported Platforms

Select Status

The deep-security-agent cookbook has been deprecated

Author provided reason for deprecation:

The deep-security-agent cookbook has been deprecated and is no longer being maintained by its authors. Use of the deep-security-agent cookbook is no longer recommended.

RSS

deep-security-agent (13) Versions 0.3.6

Installs/Configures the Deep Security Agent

Policyfile
Berkshelf
Knife
cookbook 'deep-security-agent', '= 0.3.6', :supermarket
cookbook 'deep-security-agent', '= 0.3.6'
knife supermarket install deep-security-agent
knife supermarket download deep-security-agent
README
Dependencies
Changelog
Quality 25%

A collection of recipes to help deploy and manage the Deep Security agent.

Requirements

All of the recipes in this cookbook require a working Deep Security infrastructure. The key component is the Deep Security manager. The agents (which these recipes help you manage) do the heavy lifting but the manager gives the marching orders.

There are no specific technical requirements beyond a standard Chef deployment.

<a name="attributes"></a>

Attributes

deep-security-agent::deploy-dsa

<table>
<tr>
<th>Key</th>
<th>Type</th>
<th>Description</th>
<th>Default</th>
</tr>
<tr>
<td><tt>['dsm_agent_download_hostname']</tt></td>
<td>String</td>
<td>Hostname of the Deep Security manager</td>
<td><tt>app.deepsecurity.trendmicro.com</tt></td>
</tr>
<tr>
<td><tt>['dsm_agent_download_port']</tt></td>
<td>Int</td>
<td>The port to connect to the Deep Security manager on to download the agents. This is typically the same port as the admin web access</td>
<td><tt>443</tt></td>
</tr>
<tr>
<td><tt>['ignore_ssl_validation']</tt></td>
<td>Boolean</td>
<td>Whether or not to ignore the SSL certificate validation for agent downloads. Marketplace AMI and software deployments ship with self-signed certificates and require this set to 'true'</td>
<td><tt>false</tt></td>
</tr>
<tr>
<td><tt>['dsm_agent_activation_hostname']</tt></td>
<td>String</td>
<td>The hostname for the agents to communicate with once deployed. For Marketplace AMI and software deployments this is typically the same hostname as 'dsm_agent_download_hostname'</td>
<td><tt>agents.deepsecurity.trendmicro.com</tt></td>
</tr>
<tr>
<td><tt>['dsm_agent_activation_port']</tt></td>
<td>Int</td>
<td>The post to use for the agent heartbeat (the regular communication). For Marketplace AMI and software deployments, the default is 4118</td>
<td><tt>443</tt></td>
</tr>
<tr>
<td><tt>['tenant_id']</tt></td>
<td>String</td>
<td>In a multi-tenant installation (like Deep Security as a Service), this identifies the tenant account to register the agent with</td>
<td><tt>nil</tt></td>
</tr>
<tr>
<td><tt>['tenant_password']</tt></td>
<td>String</td>
<td>In a multi-tenant installation (like Deep Security as a Service), this identifies the tenant account to register the agent with</td>
<td><tt>nil</tt></td>
</tr>
<tr>
<td><tt>['policy_id']</tt></td>
<td>String</td>
<td>The Deep Security ID assigned to the policy to apply to the agents on activation</td>
<td><tt>nil</tt></td>
</tr>
<tr>
<td><tt>['policy_name']</tt></td>
<td>String</td>
<td>The name you assigned to the policy to apply to the agents on activation</td>
<td><tt>nil</tt></td>
</tr>
</table>

Usage

deep-security-agent::default

Make sure that you include 'deep-security-agent' in your node's 'run_list'. This will ensure that the Deep Security agent is installed (it's the default.rb recipe).

{
  "name":"my_node",
  "run_list": [
    "recipe[deep-security-agent]"
  ]
}

Dependent cookbooks

This cookbook has no specified dependencies.

Contingent cookbooks

There are no cookbooks that are contingent upon this one.

CHANGELOG

Created automatically for commit e7925c0d8c3bebe539ef77e182ca17d615d81686

e7925c0t(0 seconds ago): Fixed link issue in README
7072714t(2 weeks ago): Added a block to ensure that the sleep() delay is executed in sequence on all OSes
82d8e86t(3 weeks ago): Adjusted package method for SUSE clients
b2e3ba8t(3 weeks ago): Added extra logging to provide better information in the Chef logs
1b092bbt(3 weeks ago): Adjusted sleep time to 15s to match current recommendations in 'deployment scripts' in Deep Security
ce43935t(5 weeks ago): Updated README to reflect new OpsWorks structure
4acac86t(6 months ago): Updated README
0e18f8at(6 months ago): Updated documentation for recipe
73bbe7dt(6 months ago): Updated README
ad65e72t(6 months ago): Updated the format in the recipes README
c8fe87bt(6 months ago): Updated the format in the recipes README
66de374t(6 months ago): Updated the format in the recipes README
44d9cdct(6 months ago): Updated the recipes README
5184508t(6 months ago): Added a README for the recipes folder
a05936ct(6 months ago): Added instructions on how to merge multiple cookbooks for OpsWorks usage
9e33d21t(6 months ago): Added instructions on how to merge multiple cookbooks for OpsWorks usage
b146b52t(6 months ago): Added instructions on how to merge multiple cookbooks for OpsWorks usage
5c68b21t(6 months ago): Updated main README to highlight AWS OpsWorks usage
9ff14bdt(6 months ago): Updated main README to highlight AWS OpsWorks usage
0753dd8t(6 months ago): Updated CHANGELOG with a note about the latest commit ID
0a2acaet(6 months ago): Updated CHANGELOG with a note about the latest commit ID
5eec530t(6 months ago): Added a title to the CHANGELOG
e47a3d9t(6 months ago): Working on the format of 'git log' to ensure the CHANGELOG is up to date
b70f02ft(6 months ago): Updated CHANGELOG with git commit history
ed44ec4t(6 months ago): Updated the ## Usage instructions in the README
a775a23t(6 months ago): Updated the README for clarity
60f0918t(6 months ago): Updated attribute listing in the README
08fe208t(6 months ago): Updated directory structure for OpsWorks compatibility as per http://docs.aws.amazon.com/opsworks/latest/userguide/workingcookbook-installingcustom-repo.html
3522484t(6 months ago): Moved the deploy-dsa.rb recipe to default.rb
eb542fet(6 months ago): Added more recipes to manage the agent on the node
d6822c0t(6 months ago): Added more recipes to manage the agent on the node
e836b72t(6 months ago): Added a recipe to force an agent heartbeat/check-in
fea5c69t(6 months ago): Updated README
baaf4dat(6 months ago): Updated README
8e8c5c8t(6 months ago): Update README with the required attributes for the deploy-dsa.rb recipe
eda4a3et(6 months ago): Removed port from dsm_agent_download_hostname, it's in it's own attribute now
960935bt(6 months ago): Added initial test recipe for deploying the Deep Security agent
11118e7t(7 months ago): Added a default cookbook
cd07e1bt(7 months ago): Updated README

Collaborator Number Metric
            

0.3.6 failed this metric

Failure: Cookbook has 0 collaborators. A cookbook must have at least 2 collaborators to pass this metric.

Contributing File Metric
            

0.3.6 failed this metric

Failure: To pass this metric, your cookbook metadata must include a source url, the source url must be in the form of https://github.com/user/repo, and your repo must contain a CONTRIBUTING.md file

Foodcritic Metric
            

0.3.6 failed this metric

FC064: Ensure issues_url is set in metadata: deep-security-agent/metadata.rb:1
FC065: Ensure source_url is set in metadata: deep-security-agent/metadata.rb:1
FC066: Ensure chef_version is set in metadata: deep-security-agent/metadata.rb:1
Run with Foodcritic Version 12.2.1 with tags metadata,correctness ~FC031 ~FC045 and failure tags any

License Metric
            

0.3.6 failed this metric

deep-security-agent does not have a valid open source license.
Acceptable licenses include Apache-2.0, apachev2, Apache 2.0, MIT, mit, GPL-2.0, gplv2, GNU Public License 2.0, GPL-3.0, gplv3, GNU Public License 3.0.

No Binaries Metric
            

0.3.6 passed this metric

Supported Platforms Metric
            

0.3.6 passed this metric

Testing File Metric
            

0.3.6 failed this metric

Failure: To pass this metric, your cookbook metadata must include a source url, the source url must be in the form of https://github.com/user/repo, and your repo must contain a TESTING.md file

Version Tag Metric
            

0.3.6 failed this metric

Failure: To pass this metric, your cookbook metadata must include a source url, the source url must be in the form of https://github.com/user/repo, and your repo must include a tag that matches this cookbook version number